using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UtmConvert {
    public class LatLonPointSet {
        List<LatLonPoint> _points;
        public List<LatLonPoint> Points {
            get { return _points; }
        }

        string _locationName = "";
        public string LocationName {
            set { _locationName = value; }
            get { return _locationName; }
        }

        string _datum = "NAD83/WGS84";
        public string Datum {
            get { return _datum; }
            set { _datum = value; }
        }

        public LatLonPointSet() {
            _points = new List<LatLonPoint>();
        }

        public LatLonPointSet(string locationName
            , List<LatLonPoint> points, string datum) {
            _locationName = locationName;
            _points = new List<LatLonPoint>(points);
            _datum = datum;
        }

    }
}
